// generated by unplugin-vue-components
// We suggest you to commit this file into source control
// Read more: https://github.com/vuejs/core/pull/3399
import '@vue/runtime-core'

export {}

declare module '@vue/runtime-core' {
  export interface GlobalComponents {
    CalendarComponentByPromo: typeof import('./src/components/monthPlanning/CalendarComponentByPromo.vue')['default']
    CalendarComponentByRoom: typeof import('./src/components/monthPlanning/CalendarComponentByRoom.vue')['default']
    DayPlanning: typeof import('./src/components/DayPlanning.vue')['default']
    ElAlert: typeof import('element-plus/es')['ElAlert']
    ElButton: typeof import('element-plus/es')['ElButton']
    ElButtonGroup: typeof import('element-plus/es')['ElButtonGroup']
    ElCalendar: typeof import('element-plus/es')['ElCalendar']
    ElCard: typeof import('element-plus/es')['ElCard']
    ElCarousel: typeof import('element-plus/es')['ElCarousel']
    ElCarouselItem: typeof import('element-plus/es')['ElCarouselItem']
    ElCol: typeof import('element-plus/es')['ElCol']
    ElCollapse: typeof import('element-plus/es')['ElCollapse']
    ElCollapseItem: typeof import('element-plus/es')['ElCollapseItem']
    ElColorPicker: typeof import('element-plus/es')['ElColorPicker']
    ElContainer: typeof import('element-plus/es')['ElContainer']
    ElDatePicker: typeof import('element-plus/es')['ElDatePicker']
    ElDescriptions: typeof import('element-plus/es')['ElDescriptions']
    ElDescriptionsItem: typeof import('element-plus/es')['ElDescriptionsItem']
    ElDialog: typeof import('element-plus/es')['ElDialog']
    ElForm: typeof import('element-plus/es')['ElForm']
    ElFormItem: typeof import('element-plus/es')['ElFormItem']
    ElHeader: typeof import('element-plus/es')['ElHeader']
    ElIcon: typeof import('element-plus/es')['ElIcon']
    ElInput: typeof import('element-plus/es')['ElInput']
    ElInputNumber: typeof import('element-plus/es')['ElInputNumber']
    ElLink: typeof import('element-plus/es')['ElLink']
    ElMain: typeof import('element-plus/es')['ElMain']
    ElMenu: typeof import('element-plus/es')['ElMenu']
    ElMenuItem: typeof import('element-plus/es')['ElMenuItem']
    ElOption: typeof import('element-plus/es')['ElOption']
    ElPopconfirm: typeof import('element-plus/es')['ElPopconfirm']
    ElRow: typeof import('element-plus/es')['ElRow']
    ElSelect: typeof import('element-plus/es')['ElSelect']
    ElSwitch: typeof import('element-plus/es')['ElSwitch']
    ElTable: typeof import('element-plus/es')['ElTable']
    ElTableColumn: typeof import('element-plus/es')['ElTableColumn']
    ElTag: typeof import('element-plus/es')['ElTag']
    FabriqueForm: typeof import('./src/components/FabriqueForm.vue')['default']
    FabriqueSelector: typeof import('./src/components/FabriqueSelector.vue')['default']
    FormStudents: typeof import('./src/components/FormStudents.vue')['default']
    LoginButton: typeof import('./src/components/LoginButton.vue')['default']
    ModalBooking: typeof import('./src/components/ModalBooking.vue')['default']
    MonthPlanning: typeof import('./src/components/monthPlanning/MonthPlanning.vue')['default']
    PromoForm: typeof import('./src/components/PromoForm.vue')['default']
    RandomizedStudent: typeof import('./src/components/RandomizedStudent.vue')['default']
    RoomBlockComponent: typeof import('./src/components/RoomBlockComponent.vue')['default']
    RoomForm: typeof import('./src/components/RoomForm.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    StudentList: typeof import('./src/components/StudentList.vue')['default']
    WeekPlanning: typeof import('./src/components/WeekPlanning.vue')['default']
  }
}
